This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1308449 - [RFE] Enhance Guru Meditation Report to be able to only report running configuration
[RFE] Enhance Guru Meditation Report to be able to only report running config...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
6.0 (Juno)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Eoghan Glynn
nlevinki
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 04:24 EST by Martin Schuppert
Modified: 2017-10-06 08:54 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-06 08:54:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Schuppert 2016-02-15 04:24:15 EST
1. Proposed title of this feature request  
[RFE] Enhance Guru Meditation Report to be able to only report running configuration
  
2. Who is the customer behind the request?  
GSS
  
3. What is the nature and description of the request? 
Guru meditation reports were added to Nova during the Icehouse release and have proven useful when debugging various issues for GSS. The idea is to have the possibility to only get the running configuration and collect it per default when get a sosreport from a system running nova. 
  
4. Why does the customer need this? (List the business requirements here)  
To be able to review the current state of the configuration, which might not be the current configuration file.

5. How would the customer like to achieve this? (List the functional requirements here)
E.g. allow a USR2 signal, or any other signal, to be sent to the service to only dump the configuration.
 
6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
# kill -USR2 `pgrep nova-compute`
# journalctl -u openstack-${service}
  
7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
Not that I could find.
  
8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
RHEL OSP 9 / 10.

9. Is the sales team involved in this request and do they have any additional input?  
N/A.
  
10. List any affected packages or components. 
nova, but probably would be nice to have this for all long running components (Bug 1217138)
  
11. Would the customer be able to assist in testing this functionality if implemented?  
Yes.
Comment 5 Lee Yarwood 2017-10-06 08:54:06 EDT
So this isn't possible with the way GMR is today in OpenStack, we can add additional sections to the report but we can't limit the original report of package , threads, green threads and configuration. Closing this out as WONTFIX, IMHO a full GMR in sos for nova etc is still useful.

Note You need to log in before you can comment on or make changes to this bug.